lp:ubuntu/raring-proposed/digikam

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/raring-proposed/digikam
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

86. By Rohan Garg

* New upstream release
  - Add build-deps : libhupnp-dev, libqtgstreamer-dev, libmagickcore-dev
* Merge from debian, remaining changes:
  - Make sure libqt4-opengl-dev, libgl1-mesa-dev and libglu1-mesa-dev only
    install on i386,amd64 and powerpc
  - Depend on libtiff-dev instead of libtiff4-dev
  - Drop digikam breaks/replaces kipi-plugins-common since we're past the
    LTS release now
  - digikam to recommend mplayerthumbs | ffmpegthumbs. We currently only
    have latter in the archives, even though former is also supposed to
    be part of kdemultimedia. (LP: #890059)
  - kipi-plugins to recommend www-browser rather than konqueror directly
    since 2.8 no direct usage of konqueror is present in the flickr
    plugin anymore (LP: #1011211)
  - Keep kubuntu_mysqld_executable_name.diff
  - Don't install libkipi translations
  - Keep deps on libcv-dev, libcvaux-dev
  - Keep split packaging of libraries
  - Replace icons from KDE 3 time in debian/xpm.d/*.xpm with the new
    versions (LP: #658047)
* Update debian/not-installed

85. By Rohan Garg

[ Rohan Garg ]
* Replace icons from KDE 3 time in debian/xpm.d/*.xpm with the new
  versions (LP: #658047)
* Update install files
  - Ship adjustlevelstool.upd, which resets adjustlevels configuration
    by removing the respective config group from digikamrc. It prevents
    showing a black image in adjustlevels tool after updating to 2.6.0

[ Harald Sitter ]
* Install hicolor application icons (LP: #781728)
* kipi-plugins to recommend www-browser rather than konqueror directly
  since 2.8 no direct usage of konqueror is present in the flickr
  plugin anymore (LP: #1011211)
* digikam to recommend mplayerthumbs | ffmpegthumbs. We currently only
  have latter in the archives, even though former is also supposed to
  be part of kdemultimedia. (LP: #890059)

84. By Rohan Garg

New upstream release

83. By Rohan Garg

* New upstream release (LP: #1022972)
  - Use libtiff-dev instead of libtiff4-dev
  - Drop duplicate build dep on libtiff4-dev

82. By Rohan Garg

libkvkontakte1 should not depend on libkvkontakte-data

81. By Rohan Garg

* Merge from debian, remaining changes (LP: #885324, #1009943)
  - keep seperate binary packages:
    + libkface1, libkface-data, libkface-dev
    + libkgeomap1, libkgeomap-data, libkgeomap-dev
    + libvkontakte1, libkvkontakte-dev
    + libmediawiki1, libmediawiki-dev
  - keep patches:
    + kubuntu_mysqld_executable_name.diff
  - don't fail on missing files in dh_install
  - install oxygen icons for kipi-plugins
  - digikam breaks/replaces kipi-plugins-common << 4:2.5.0~
  - digikam-doc breaks/replaces digikam-data << 4:2.5.0~
  - digikam-data breaks/replaces kipi-plugins << 4:2.5.0~
  - kipi-plugins-common breaks/replaces kipi-plugins << 4:2.5.0~
* Update install files

80. By Rohan Garg

* Add kubuntu_fix_arm_build.patch to fix building
  with armel & armhf (LP: #945343)
  - Fix FTBFS due to attempt to use GL instead of GLES
    + libqt4-opengl-dev, libgl1-mesa-dev, and libglu1-mesa-dev as build-deps
      only on [i386 amd64 powerpc]
* Add build-dep on dh-apparmor (LP: #948481)

79. By Philip Muškovac

* Merge from debian unstable, remaining changes:
  - keep seperate binary packages:
    + libkface1, libkface-data, libkface-dev
    + libkgeomap1, libkgeomap-data, libkgeomap-dev
    + libvkontakte1, libkvkontakte-dev
    + libmediawiki1, libmediawiki-dev
  - keep patches:
    + kubuntu_mysqld_executable_name.diff
  - don't fail on missing files in dh_install
  - install oxygen icons for kipi-plugins
  - build-depend on mysql 5.5 instead of 5.1
  - update install files
* digikam breaks/replaces kipi-plugins-common << 4:2.5.0~
* digikam-doc breaks/replaces digikam-data << 4:2.5.0~
* digikam-data breaks/replaces kipi-plugins << 4:2.5.0~
* kipi-plugins-common breaks/replaces kipi-plugins << 4:2.5.0~

78. By Thorsteinn A. Malmjursson

No change rebuild against new libmarblewidget LP: #913038

77. By Andreas Moog

No-change rebuild for libmarblewidget transition

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/raring/digikam
This branch contains Public information 
Everyone can see this information.

Subscribers